devel/p5-Class-C3-Componentised - The NetBSD Packages Collection

Load mix-ins or components to your C3-based class

This will inject base classes to your module using the Class::C3 method
resolution order.

Please note: these are not plugins that can take precedence over methods
declared in MyModule. If you want something like that, consider
MooseX::Object::Pluggable.

Build dependencies

devel/p5-Test-Exception pkgtools/cwrappers

Runtime dependencies

devel/p5-Class-Inspector devel/p5-Class-C3 devel/p5-MRO-Compat lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
aarch64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
aarch64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
alpha:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
alpha:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
alpha:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earm:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earm:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
earm:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
earmv6hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
i386:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 8.0)
i386:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
i386:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
i386:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
i386:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
i386:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
m68k:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
mips64eb:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
mips64eb:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
mipsel:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
powerpc:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
powerpc:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
powerpc:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
powerpc:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
sh3el:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
sh3el:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
sparc64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
sparc64:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
sparc64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
sparc:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
sparc:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
x86_64:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 8.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 8.0)
x86_64:p5-Class-C3-Componentised-1.001002nb2.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)
x86_64:p5-Class-C3-Componentised-1.001002nb3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]